Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Jobs - Query Scheduled Jobs

Service:
IoT Hub
API Version:
2021-04-12

Gets the information about jobs using an IoT Hub query. See https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-query-language for more information.

GET https://fully-qualified-iothubname.azure-devices.net/jobs/v2/query?api-version=2021-04-12
With optional parameters:
GET https://fully-qualified-iothubname.azure-devices.net/jobs/v2/query?jobType={jobType}&jobStatus={jobStatus}&api-version=2021-04-12

URI Parameters

Name In Required Type Description
api-version
query True

string

Version of the Api.

jobStatus
query

string

The job status. See https://docs.microsoft.com/en-us/azure/iot-hub/iot-hub-devguide-jobs#querying-for-progress-on-jobs for a list of possible statuses.

jobType
query

string

The job type. See https://docs.microsoft.com/en-us/azure/iot-hub/iot-hub-devguide-jobs#querying-for-progress-on-jobs for a list of possible job types.

Responses

Name Type Description
200 OK

QueryResult

OK.

Definitions

QueryResult

Object

The query result.

Name Type Description
continuationToken

string

The continuation token.

items

object[]

The query result items, as a collection.

type enum:
  • deviceJob
  • deviceRegistration
  • enrollment
  • enrollmentGroup
  • jobResponse
  • raw
  • twin
  • unknown

The query result type.